Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.alignment.model
Interface VTAlignmentStyleProperty

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VTStyleProperty

All Known Implementing Classes:
  VTAlignmentStylePropertyImpl

    public interface VTAlignmentStyleProperty

extends VTStyleProperty

A representation of the model object 'Style Property'.

The following features are supported:

- `Type`

See Also:
  `VTAlignmentPackage.getAlignmentStyleProperty()`

Method Summary
`AlignmentType` | `getType()` Returns the value of the 'Type' attribute.
`void` | `setType(AlignmentType value)` Sets the value of the ' `Type`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.template.model.VTStyleProperty
`equalStyles`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getType

    AlignmentType getType()

  Returns the value of the 'Type' attribute. The default value is `"LEFT"`. The literals are from the enumeration `AlignmentType`.

  If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `AlignmentType`, `setType(AlignmentType)`, `VTAlignmentPackage.getAlignmentStyleProperty_Type()`

### setType

    void setType(AlignmentType value)

  Sets the value of the ' `Type`' attribute.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `AlignmentType`, `getType()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.